<?php
include_once "sessionheader.inc.php";
#error_reporting(E_ALL);
error_reporting(0);
if (isset($_SESSION['rights']) && $_SESSION['rights'] == 4) {

  include_once "../edit/config.inc.php";
  include_once "../zugriff.inc.php";
  include_once "TableEditor.php";

  $editor = new TableEditor($conn, $pfx.'rights');
  
  //Seitenüberschrift (statt Tabellenname) 
  $editor->config['title'] = 'Rechte';
  
  $editor->setConfig('allowPKEditing', true);
  
  // die Knöpfe für Edit und Copy entfernen, das ist nicht sinnvoll bei 2 Spalten mit 2 Primärschlüsseln
  $editor->setConfig('allowEdit', false);
  $editor->setConfig('allowCopy', false);
  
  // Sortierreihenfolge erst nach user, darin nach URLAnhang sortieren
  $editor->setDefaultOrderby('user, URLAnhang', 1);
  
  // Spaltenüberschrift(en)
  $editor->setDisplayNames(array('user'=>'Benutzername'));
  
  // entsprechenden Schlüssel aus $pfx_user holen
  $editor->setInputType('user', 'select');
  $editor->setValuesFromQuery('user', "SELECT user, user FROM {$pfx}user");

  // entsprechenden Schlüssel aus $pfx_content holen
  $editor->setInputType('URLAnhang', 'select');
  $editor->setValuesFromQuery('URLAnhang', "SELECT URLAnhang, URLAnhang FROM {$pfx}content");
  
  // Pflichtfelder setzen
  $editor->setRequiredFields('URLAnhang', 'user');
  
  $editor->display();

} else {
  include "umleitung.php";
}
?>