<?php
defined('CMBASIC') or die();

/* 
name        : bot_ankerlist.inc.php für CMBasic 1.6.3
author      : Frank Finsterbusch  ffhex@gmx.de   www.FFhex.de
date        : 01.03.2011 edited 14.04.2011 by jch, edited 2015-05-03/2015-05-07 by m.f.wolff
description : erzeugt eine Linkliste von Ankern  <a name="ankername"></a> bzw. <a id="ankername"></a>
lizenz      : GPL, der GNU General Public License 
aufruf      : {ankerlist} 
jüngste Änderungen:
			:2015-05-03// Der tinyMCE-Editor 4.1.9+ erzeugt HTML5-konforme Anker: <a id="ankername"></a>, diese werden durch das Suchmuster _auch_ gefunden
			:2015-05-07: Da sich ein umschließendes P-Tag nicht verhindern lässt, muss dieses am Anfang geschlossen werden und am Ende wieder geöffnet werden, sonst entsteht ein nicht HTML5-konformer Kode. Sofern der dadurch entstandene P-Container leer bleibt, wird er auch nicht angezeigt.
*/ 

preg_match_all("/{((ankerlist),(.*?))}/i", $acticon, $ankerlistfund);
$list_type = "";
$output = "";  //  $output definieren/beginnen 
if (preg_match_all("!<a.*?(id|name)=\"([^\"]*)\"[^>]*>!",$acticon,$ergebnisse,PREG_PATTERN_ORDER) >0) {
  if ($ankerlistfund[3][0]=='o') {
	$output .= "</p>\n<div class='toc'><ol class='toc'>\n"; // Absatz schließen und nummerierte Liste beginnen 
	$list_typ = "ol";
  } else {
	$output .= "</p>\n<div class='toc'><ul class='toc'>\n"; // Absatz schließen und unnummerierte Liste beginnen 
	$list_typ = "ul";
  }  
  // Alle Links ausgeben
  foreach ($ergebnisse[2] as $ankername)
  {
  $output .= "<li><a href=\"#";
  $output .= $ankername;
  $output .= "\">";
  
  $ankername = str_replace("_", " ", $ankername);
  $ankername = str_replace("ae", "ä", $ankername);
  $ankername = str_replace("oe", "ö", $ankername);
  $ankername = str_replace("ue", "ü", $ankername);
  $ankername = str_replace("sz", "ß", $ankername);
  $ankername = str_replace("Ae", "Ä", $ankername);
  $ankername = str_replace("Oe", "Ö", $ankername);
  $ankername = str_replace("Ue", "Ü", $ankername);
  $ankername = str_replace("Sz", "ß", $ankername);
  
  $output .= $ankername;
  $output .= "</a></li>\n";
  }
  if ($list_typ == "ul"){
	$output .= "</ul></div>\n<p>"; // unnummerierte Liste abschließen und Absatz beginnen
  } else {
	$output .= "</ol></div>\n<p>"; // nummerierte Liste abschließen und Absatz beginnen
	
  }
}

  $muster = "|{ankerlist(,o)?}|";
  $acticon = preg_replace($muster, $output, $acticon);
?>