<?php

/* Feedback-Formular
 * erzeugt ein barrierefreies Feedbackformular mit Spamschutz
 * und Reload-Sperre
 * @version 1.1
 * @date 2011-04-14; 2008-11-14
 * @author JCHanke
 * @copyright 2008 by JCHanke, www.cmbasic.de
 * @lizenz GNU GPL
 */
 
defined('CMBASIC') or die();
preg_match_all("/{((feedback),(.*?))}/i", $acticon, $feedfund);
foreach ($feedfund[1] as $feedpara_komp) {
  $feedpara = explode(",", $feedpara_komp);
    
  if (!empty($feedpara[1])) {
    define('NOCLOAKING', TRUE);
    $empfaengermail = "$feedpara[1]";	
    $feedadd = "$feedpara[1]";
  }

  if (!empty($feedpara[2])) {
    $absendername = "$feedpara[2]";
    $feedadd .= ",$feedpara[2]";
  } else {
    $absendername = "";
  }
  
  if (!empty($feedpara[3])) {
    $absendermail = "$feedpara[3]";      
    $feedadd .= ",$feedpara[3]";  
  } else {
    $absendermail = "$empfaengermail";
  }
 
  include ("feedback.inc.php");
  // Feedbackformular zusammensetzen
  $feedcontent .= '<form action="#" method="post">

<label for="Name"><u>N</u>ame:</label><br />
<input type="text" name="Name" id="Name" accesskey="n" value="';

  if (isset($_POST['Name']) && $gesendet == false) {
    $feedcontent .= htmlspecialchars(stripslashes($_POST['Name']));
  }

  $feedcontent .= '" />' . $NameWarnung . '<br />
<label for="Email">E-<u>M</u>ail-Adresse:</label><br />
<input type="text" name="Email" id="Email" accesskey="m" value="';

  if (isset($_POST['Email']) && $gesendet == false) {
    $feedcontent .= htmlspecialchars(stripslashes($_POST['Email']));
  }
  $feedcontent .= '" />' . $EmailWarnung . '<br />
<label for="Testfeld"><u>T</u>estfeld:</label><br />
<input type="text" name="Testfeld" id="Testfeld" accesskey="t" />' . $TestfeldWarnung . '
<br />(Bitte wiederholen Sie hier Ihre Eingabe aus dem zweiten Feld von oben.)<br /><br />
<label for="Betreff"><u>B</u>etreff:</label><br />
<input type="text" name="Betreff" id="Betreff" accesskey="b" size="50" maxlength="50" value="';

  if (isset($_POST['Betreff']) && $gesendet == false) {
    $feedcontent .= htmlspecialchars(stripslashes($_POST['Betreff']));
  }
  $feedcontent .= '" />' . $BetreffWarnung . '<br />
<label for="Botschaft"><u>K</u>ommentar:</label><br />
<textarea name="Botschaft" id="Botschaft" accesskey="k" cols="60" rows="7">';

  if (isset($_POST['Botschaft']) && $gesendet == false) {
    $feedcontent .= stripslashes($_POST['Botschaft']); 
  }
  $feedcontent .= '</textarea>' . $BotschaftWarnung . '<br />';

  if ($kontrollkopie) {
    $feedcontent .= '<input type="checkbox" name="Mailcopy" id="Mailcopy" accesskey="o" ';
    if (isset($_POST['Mailcopy']) && $gesendet == false) {
      $feedcontent .= ' checked="checked"';
    }
    $feedcontent .= ' /><label for="Mailcopy">Ich möchte eine K<u>o</u>ntrollkopie erhalten.</label>';
  }

  $feedcontent .= '<input type="hidden" name="uw" value="';
  $feedcontent .= time(); 
  $feedcontent .= '" /><br />
<input type="submit" value="Absenden" name="submit" />
</form>';

  $muster = "|{feedback,$feedadd}|";
  $acticon = preg_replace($muster, $feedcontent, $acticon);

}
?>