<?php

/* YouTube-Video einbinden 
 * bindet YouTube-Videos ein
 * 
 * @version 1.0
 * @date 2015-06-29
 * @author JCHanke
 * @copyright 2015 by JCHanke, www.cmbasic.de
 * @lizenz GNU GPL
 */

defined('CMBASIC') or die();
preg_match_all("/{((youtube),(.*?))}/i", $acticon, $youfund);
$youcount = 1;
$youwidth = 480;  // 640 ist YT-Standard
$youheight = 360;  // 390 ist YT-Standard
$youadd = "";

foreach ($youfund[1] as $youpara_komp) {
  $youpara = explode(",", $youpara_komp);
 
  if (!empty($youpara[1])) {
    $youID = "$youpara[1]";  
  }

  if (!empty($youpara[2]) && is_numeric($youpara[2])) {
    $youwidth = "$youpara[2]";
    $youadd = ",$youpara[2]";
  } 

  if (!empty($youpara[3])  && is_numeric($youpara[3])) {
    $youheight = "$youpara[3]";
    $youadd .= ",$youpara[3]";
  }

  $youcode = <<<YOUCODE
<iframe width="$youwidth" height="$youheight" src="https://www.youtube.com/embed/$youID?rel=0"
frameborder="0" allowfullscreen></iframe>
YOUCODE;

  $muster = "|{youtube,$youpara[1]$youadd}|";
  $acticon = preg_replace($muster, $youcode, $acticon);
  $youcount++;
} 

?>