<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
    <title>Setup-Startseite: Willkommen zum Setup vom CMBasic</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
        <link rel="stylesheet" type="text/css" href="../backend/css/backend.css">                
  </head>
  <body>
  <div>  
    <h1>Setup-Startseite: Willkommen zum Setup vom CMBasic</h1>
    
    <p>Sie haben die <b>config.inc.php</b> vorbereitet? Dann können Sie jetzt die Datenbanktabellen einrichten:</p>    
    
    <p><a href="setup.php">Setup mit Beispieldaten</a> - installiert fertig eingerichtetes CMBasic mit Beispieltexten</p>
    <p><a href="setup_pur.php">Setup ohne Beispieldaten</a> - installiert leeres CMBasic (lediglich mit Home-Menüpunkt)</p>
    
    <p>Einsteigern empfehlen wir <b>Setup mit Beispieldaten</b>. Fortgeschrittene freuen sich
    über ein leeres CMBasic, das lediglich einen Home-Menüpunkt besitzt.</p>
        
    <p class="tipp">Sollte das Setup mit Beispieldaten misslingen, probieren Sie
    das Setup ohne Beispieldaten. Danach können Sie das Setup mit Beispieltabellen 
    häufig sogar erfolgreich drüberinstallieren. Wenn das alles wider Erwarten auch 
    nicht klappt, nehmen Sie den SQL-Code aus dem Formularfeld auf dieser Seite. 
    Installieren Sie die Datenbanktabellen manuell
    per phpMyAdmin.</p>
    
    <h3>Löschen Sie nach erfolgreicher Installation unbedingt den <strong>setup</strong>-Ordner!</h3>
    
    <h2>Bei Problemen ...</h2>
    <p>... können Sie den Setup-SQL-Code auch aus diesem Formularfeld herauskopieren 
    und direkt in das SQL-Feld von <b>phpMyAdmin</b> einfügen. Es handelt sich um den 
    Setup-Code für ein CMBasic ohne Beispieldaten.</p>
            
    <?php
include "../edit/config.inc.php";
include "../zugriff.inc.php";

$sqlcode = "CREATE TABLE `{$pfx}content` (
  `URLAnhang` varchar(30) NOT NULL default '',
  `MenueName` varchar(35) default NULL,
  `Ebene1` smallint(6) default NULL,
  `Ebene2` smallint(6) default NULL,
  `Seitentitel` varchar(85) default NULL,
  `Content` text,
  `KastenNr` smallint(6) default NULL,
  PRIMARY KEY  (`URLAnhang`)
) DEFAULT CHARACTER SET utf8 ;

CREATE TABLE `{$pfx}newsbox` (
  `KastenNr` smallint(6) NOT NULL default '0',
  `KastenHead` varchar(50) default NULL,
  `KastenText` text ,
  PRIMARY KEY  (`KastenNr`)
) DEFAULT CHARACTER SET utf8 ;

CREATE TABLE `{$pfx}rights` (
  `URLAnhang` varchar(25) NOT NULL default '',
  `user` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`URLAnhang`,`user`)
) DEFAULT CHARACTER SET utf8 ;

CREATE TABLE `{$pfx}user` (
  `user` varchar(15) NOT NULL default '',
  `pw` varchar(50) default NULL,
  `rights` tinyint(4) default NULL,
  PRIMARY KEY  (`user`)
) DEFAULT CHARACTER SET utf8 ;

INSERT INTO {$pfx}user VALUES ('admin', '0752fa8b82411b5353dc1c9b88998655', '4')";
?>

<form action="">
<textarea cols='85' rows='10'>
<?php echo $sqlcode ?>
</textarea>
</form>
    <h2>Beispieldateien löschen</h2>
    <p>Sie wollen hinterher alle Beispieldateien löschen, um Ihre eigenen Inhalte einzugeben? Geben Sie folgenden Befehl in die SQL-Konsole ein: <span class="code"><?php echo "DELETE FROM {$pfx}content"; ?></span></p>
<h2>Hilfe auf CMBasic</h2>
<p>Weitere Hilfe erhalten Sie auf <a href="http://www.cmbasic.de" target="_top">www.cmbasic.de</a>.</p>
</div>
</body>
</html>