<?php
# wasko
defined('CMBASIC') or die();
echo <<<TEMPLATE_CMBASIC
<!DOCTYPE html>
<html lang="de">
 <head>
  <title>{$title}</title>
  {$meta}
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width" />
  <link rel="stylesheet" href="css/{$cssfolder}/cmbasic.css" media="screen, print" />
  <!--[if lt IE 9]>
	<script src="js/html5shiv-printshiv.min.js"></script>
  <![endif]-->
  <!--[if IE]>
	<link rel="stylesheet" href="css/{$cssfolder}/cmbasic_ie.css" media="screen, print" />
  <![endif]-->
  <link rel="shortcut icon" type="image/x-icon" href="css/{$cssfolder}/wasko2.ico">
  <!-- link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600|Source+Sans+Pro:400,400italic,600,600italic' rel='stylesheet' type='text/css' -->

  {$head}
 </head>
<body>
<div id="wrapper">

<!-- Container header, enthält search -->
<header>
  <img src="css/{$cssfolder}/logo.jpg" width="850" height="400" alt="Logo von CMBasic">
  <div id="logo">
    <div class="h1"><a href="." title="Zur Startseite">CMBasic</a></div><div class="h2">Dieses CMS hat Zukunft!</div>
  </div> <!-- /#logo -->
  <div id="switch">
    <!-- vorbereitet für Bildwechsler -->
  </div> <!-- /#switch --> 
  <div id="search">
    <form action="." method="get">
      <input name="search" id="searchfield" type="search" autofocus>
      <input type="submit" value="Los!" />
    </form>
  </div> <!-- /#search -->
</header>
{$topmenu}
<!-- Menücontainer navi -->
<nav>{$menu}<p>{$rssicon}</p>
	{$felog}
</nav>
<!-- Hauptcontainer main -->
<main>

	<a id='top'></a>
	{$path}
	<!-- <div id="linie">&nbsp;</div> -->
	{$content}
	<a class='top-link' href='#top'> Top</a>
</main>
<br style="clear:both" /><!-- macht die Container (<nav> und <section>) im #wrapper gleich lang -->
</div> <!-- /#wrapper -->
<!-- Container footer -->
<footer>&copy; CMBasic.de</footer>
</body>
</html>
TEMPLATE_CMBASIC;
?>